"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const { _ } = require('lib/locale');
const Note = require('lib/models/Note');
const ExternalEditWatcher = require('lib/services/ExternalEditWatcher');
const { bridge } = require('electron').remote.require('./bridge');
exports.declaration = {
    name: 'startExternalEditing',
    label: () => _('Edit in external editor'),
    iconName: 'fa-share-square',
};
exports.runtime = () => {
    return {
        execute: (props) => __awaiter(void 0, void 0, void 0, function* () {
            try {
                const note = yield Note.load(props.noteId);
                ExternalEditWatcher.instance().openAndWatch(note);
            }
            catch (error) {
                bridge().showErrorMessageBox(_('Error opening note in editor: %s', error.message));
            }
            // await comp.saveNoteAndWait(comp.formNote);
        }),
        isEnabled: (props) => {
            return !!props.noteId;
        },
        mapStateToProps: (state) => {
            return { noteId: state.selectedNoteIds.length === 1 ? state.selectedNoteIds[0] : null };
        },
    };
};
//# sourceMappingURL=startExternalEditing.js.map