"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const { _ } = require('lib/locale');
const ExternalEditWatcher = require('lib/services/ExternalEditWatcher');
exports.declaration = {
    name: 'stopExternalEditing',
    label: () => _('Stop external editing'),
    iconName: 'fa-stop',
};
exports.runtime = () => {
    return {
        execute: (props) => __awaiter(void 0, void 0, void 0, function* () {
            ExternalEditWatcher.instance().stopWatching(props.noteId);
        }),
        isEnabled: (props) => {
            return !!props.noteId;
        },
        mapStateToProps: (state) => {
            return { noteId: state.selectedNoteIds.length === 1 ? state.selectedNoteIds[0] : null };
        },
    };
};
//# sourceMappingURL=stopExternalEditing.js.map