"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const CommandService_1 = require("../../../lib/services/CommandService");
const { _ } = require('lib/locale');
exports.declaration = {
    name: 'newTodo',
    label: () => _('New to-do'),
    iconName: 'fa-check-square',
};
exports.runtime = () => {
    return {
        execute: ({ template }) => __awaiter(void 0, void 0, void 0, function* () {
            return CommandService_1.default.instance().execute('newNote', { template: template, isTodo: true });
        }),
        isEnabled: () => {
            return CommandService_1.default.instance().isEnabled('newNote');
        },
        title: () => {
            return _('New to-do');
        },
    };
};
//# sourceMappingURL=newTodo.js.map