"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const { _ } = require('lib/locale');
const { bridge } = require('electron').remote.require('./bridge');
exports.declaration = {
    name: 'print',
    label: () => _('Print'),
    iconName: 'fa-file',
};
exports.runtime = (comp) => {
    return {
        execute: ({ noteIds }) => __awaiter(void 0, void 0, void 0, function* () {
            // TODO: test
            try {
                if (noteIds.length !== 1)
                    throw new Error(_('Only one note can be printed at a time.'));
                yield comp.printTo_('printer', { noteId: noteIds[0] });
            }
            catch (error) {
                bridge().showErrorMessageBox(error.message);
            }
        }),
        isEnabled: (props) => {
            return !!props.noteIds.length;
        },
        mapStateToProps: (state) => {
            return {
                noteIds: state.selectedNoteIds,
            };
        },
    };
};
//# sourceMappingURL=print.js.map