"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const Folder = require('lib/models/Folder');
const { _ } = require('lib/locale');
const { bridge } = require('electron').remote.require('./bridge');
exports.declaration = {
    name: 'renameFolder',
    label: () => _('Rename'),
};
exports.runtime = (comp) => {
    return {
        execute: ({ folderId }) => __awaiter(void 0, void 0, void 0, function* () {
            const folder = yield Folder.load(folderId);
            if (folder) {
                comp.setState({
                    promptOptions: {
                        label: _('Rename notebook:'),
                        value: folder.title,
                        onClose: (answer) => __awaiter(void 0, void 0, void 0, function* () {
                            if (answer !== null) {
                                try {
                                    folder.title = answer;
                                    yield Folder.save(folder, { fields: ['title'], userSideValidation: true });
                                }
                                catch (error) {
                                    bridge().showErrorMessageBox(error.message);
                                }
                            }
                            comp.setState({ promptOptions: null });
                        }),
                    },
                });
            }
        }),
    };
};
//# sourceMappingURL=renameFolder.js.map