"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const Note = require('lib/models/Note');
const BaseModel = require('lib/BaseModel');
// const { _ } = require('lib/locale');
const { uuid } = require('lib/uuid.js');
exports.declaration = {
    name: 'search',
};
exports.runtime = (comp) => {
    return {
        execute: ({ query }) => __awaiter(void 0, void 0, void 0, function* () {
            console.info('RUNTIME', query);
            if (!comp.searchId_)
                comp.searchId_ = uuid.create();
            comp.props.dispatch({
                type: 'SEARCH_UPDATE',
                search: {
                    id: comp.searchId_,
                    title: query,
                    query_pattern: query,
                    query_folder_id: null,
                    type_: BaseModel.TYPE_SEARCH,
                },
            });
            if (query) {
                comp.props.dispatch({
                    type: 'SEARCH_SELECT',
                    id: comp.searchId_,
                });
            }
            else {
                const note = yield Note.load(comp.props.selectedNoteId);
                if (note) {
                    comp.props.dispatch({
                        type: 'FOLDER_AND_NOTE_SELECT',
                        folderId: note.parent_id,
                        noteId: note.id,
                    });
                }
            }
        }),
    };
};
//# sourceMappingURL=search.js.map