"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const { buildStyle } = require('lib/theme');
const { bridge } = require('electron').remote.require('./bridge');
const NoteListUtils = require('./utils/NoteListUtils');
function styles_(props) {
    return buildStyle('MultiNoteActions', props.theme, (theme) => {
        return {
            root: Object.assign(Object.assign({}, props.style), { display: 'inline-flex', justifyContent: 'center', paddingTop: theme.marginTop }),
            itemList: {
                display: 'flex',
                flexDirection: 'column',
            },
            button: Object.assign(Object.assign({}, theme.buttonStyle), { marginBottom: 10 }),
        };
    });
}
function MultiNoteActions(props) {
    const styles = styles_(props);
    const multiNotesButton_click = (item) => {
        if (item.submenu) {
            item.submenu.popup(bridge().window());
        }
        else {
            item.click();
        }
    };
    const menu = NoteListUtils.makeContextMenu(props.selectedNoteIds, {
        notes: props.notes,
        dispatch: props.dispatch,
        watchedNoteFiles: props.watchedNoteFiles,
    });
    const itemComps = [];
    const menuItems = menu.items;
    for (let i = 0; i < menuItems.length; i++) {
        const item = menuItems[i];
        if (!item.enabled)
            continue;
        itemComps.push(React.createElement("button", { key: item.label, style: styles.button, onClick: () => multiNotesButton_click(item) }, item.label));
    }
    return (React.createElement("div", { style: styles.root },
        React.createElement("div", { style: styles.itemList }, itemComps)));
}
exports.default = MultiNoteActions;
//# sourceMappingURL=MultiNoteActions.js.map