"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const CommandService_1 = require("../../../../lib/services/CommandService");
const ToolbarBase = require('../../../Toolbar.min.js');
const { buildStyle, themeStyle } = require('lib/theme');
function styles_(props) {
    return buildStyle('CodeMirrorToolbar', props.theme, ( /* theme:any*/) => {
        const theme = themeStyle(props.theme);
        return {
            root: {
                flex: 1,
                marginBottom: 0,
                borderTop: `1px solid ${theme.dividerColor}`,
            },
        };
    });
}
function Toolbar(props) {
    const styles = styles_(props);
    const cmdService = CommandService_1.default.instance();
    const toolbarItems = [
        cmdService.commandToToolbarButton('textBold'),
        cmdService.commandToToolbarButton('textItalic'),
        { type: 'separator' },
        cmdService.commandToToolbarButton('textLink'),
        cmdService.commandToToolbarButton('textCode'),
        cmdService.commandToToolbarButton('attachFile'),
        { type: 'separator' },
        cmdService.commandToToolbarButton('textNumberedList'),
        cmdService.commandToToolbarButton('textBulletedList'),
        cmdService.commandToToolbarButton('textCheckbox'),
        cmdService.commandToToolbarButton('textHeading'),
        cmdService.commandToToolbarButton('textHorizontalRule'),
        cmdService.commandToToolbarButton('insertDateTime'),
    ];
    return React.createElement(ToolbarBase, { disabled: props.disabled, style: styles.root, items: toolbarItems });
}
exports.default = Toolbar;
//# sourceMappingURL=Toolbar.js.map