"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Helper functions to sync up scrolling
function useScrollUtils(CodeMirror) {
    CodeMirror.defineExtension('getScrollPercent', function () {
        const info = this.getScrollInfo();
        return info.top / (info.height - info.clientHeight);
    });
    CodeMirror.defineExtension('setScrollPercent', function (p) {
        const info = this.getScrollInfo();
        this.scrollTo(null, p * (info.height - info.clientHeight));
    });
}
exports.default = useScrollUtils;
//# sourceMappingURL=useScrollUtils.js.map