"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const HtmlToMd = require('lib/HtmlToMd');
const Note = require('lib/models/Note');
const { MarkupToHtml } = require('lib/joplin-renderer');
function htmlToMarkdown(markupLanguage, html, originalCss) {
    return __awaiter(this, void 0, void 0, function* () {
        let newBody = '';
        if (markupLanguage === MarkupToHtml.MARKUP_LANGUAGE_MARKDOWN) {
            const htmlToMd = new HtmlToMd();
            newBody = htmlToMd.parse(html, { preserveImageTagsWithSize: true });
            newBody = yield Note.replaceResourceExternalToInternalLinks(newBody, { useAbsolutePaths: true });
        }
        else {
            newBody = yield Note.replaceResourceExternalToInternalLinks(html, { useAbsolutePaths: true });
            if (originalCss)
                newBody = `<style>${originalCss}</style>\n${newBody}`;
        }
        return newBody;
    });
}
exports.htmlToMarkdown = htmlToMarkdown;
function formNoteToNote(formNote) {
    return __awaiter(this, void 0, void 0, function* () {
        return {
            id: formNote.id,
            // Should also include parent_id so that the reducer can know in which folder the note should go when saving
            // https://discourse.joplinapp.org/t/experimental-wysiwyg-editor-in-joplin/6915/57?u=laurent
            parent_id: formNote.parent_id,
            title: formNote.title,
            body: formNote.body,
        };
    });
}
exports.formNoteToNote = formNoteToNote;
//# sourceMappingURL=index.js.map