"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const BaseModel = require('lib/BaseModel.js');
const SearchEngine = require('lib/services/searchengine/SearchEngine');
function defaultSearchMarkers() {
    return {
        keywords: [],
        options: {
            searchTimestamp: 0,
            selectedIndex: 0,
            separateWordSearch: false,
        },
    };
}
function useSearchMarkers(showLocalSearch, localSearchMarkerOptions, searches, selectedSearchId) {
    return react_1.useMemo(() => {
        if (showLocalSearch)
            return localSearchMarkerOptions();
        const output = defaultSearchMarkers();
        const search = BaseModel.byId(searches, selectedSearchId);
        if (search) {
            const parsedQuery = SearchEngine.instance().parseQuery(search.query_pattern);
            output.keywords = SearchEngine.instance().allParsedQueryTerms(parsedQuery);
        }
        return output;
    }, [showLocalSearch, localSearchMarkerOptions, searches, selectedSearchId]);
}
exports.default = useSearchMarkers;
//# sourceMappingURL=useSearchMarkers.js.map