"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const { _ } = require('lib/locale');
exports.declaration = {
    name: 'focusElementSideBar',
    label: () => _('Sidebar'),
};
exports.runtime = (comp) => {
    return {
        execute: ({ sidebarVisibility }) => __awaiter(void 0, void 0, void 0, function* () {
            if (sidebarVisibility) {
                const item = comp.selectedItem();
                if (item) {
                    const anchorRef = comp.anchorItemRefs[item.type][item.id];
                    if (anchorRef)
                        anchorRef.current.focus();
                }
                else {
                    const anchorRef = comp.firstAnchorItemRef('folder');
                    if (anchorRef)
                        anchorRef.current.focus();
                }
            }
        }),
        isEnabled: (props) => {
            return props.sidebarVisibility;
        },
        mapStateToProps: (state) => {
            return {
                sidebarVisibility: state.sidebarVisibility,
            };
        },
    };
};
//# sourceMappingURL=focusElementSideBar.js.map